Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015555
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalhave not tried2010-12-30 19:252011-01-20 00:00
ReporterplujanView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisioncfca6a9741cb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseOracleJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015555: In Oracle, Enterprise Module Management window shows an error message on open

DescriptionWhen going to Enterprise Module Management window, an error is shown:
    
Error: Error
org.hibernate.exception.SQLGrammarException: could not execute query

And nothing else can be done on that page.
Steps To Reproduce1. Login as an Client Admin user, like QAAdmin
2. Go to General Setup > Enterprise > Enterprise Module Management
3. The referred error is shown. See attach.
TagsRegression QA
Attached Filespng file icon screenshot-1.png [^] (16,414 bytes) 2010-12-30 19:25

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00151782.50MP25 closedmarvintm Users shouldn't be able to apply a dataset if it hasn't changed 
depends on backport 0015557 closedalostale In Oracle, Enterprise Module Management window shows an error message on open 
related to defect 0015556 closedmtaal OBCriteria is not able to filter Oracle's CLOB datatype 
related to design defect 0013153 acknowledgedplatform DAL queries don't work with CLOB (oracle) 

-  Notes
(0033486)
plujan (manager)
2010-12-30 19:26

Note that this issue only applies to Oracle contexts. In PostgreSQL it works fine.
(0033487)
alostale (developer)
2010-12-31 08:06

Introduced when fixing 0015178
(0033491)
alostale (developer)
2010-12-31 09:08

It fails in oracle when there is at least a Dataset applied at organization level
(0033492)
alostale (developer)
2010-12-31 09:18

See technical description of this issue in 0015556
(0033493)
hgbot (developer)
2010-12-31 09:24

Repository: erp/devel/pi
Changeset: cfca6a9741cb077a8f23ce6e9ac0f22ba8c92e2e
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Dec 31 09:22:25 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cfca6a9741cb077a8f23ce6e9ac0f22ba8c92e2e [^]

fixed issue 15555: In Oracle, Enterprise Module Management window shows an error message on open

  Applied workaround described in issue 0015556: use OBQuery instead of OBCriteria.

---
M src/org/openbravo/erpCommon/modules/ModuleReferenceDataOrgTree.java
---
(0033506)
hudsonbot (developer)
2010-12-31 15:20

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/cfca6a9741cb [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/f27092744645 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
(0033764)
shuehner (administrator)
2011-01-19 12:54

Code-change reviewed and opening window tested on oracle & postgres to verify that error happening on window open does not happen anymore. No need to retest functionality as code-change does do the equivalent query as before with just working about the dal/clob/oracle-problem.

- Issue History
Date Modified Username Field Change
2010-12-30 19:25 plujan New Issue
2010-12-30 19:25 plujan Assigned To => alostale
2010-12-30 19:25 plujan File Added: screenshot-1.png
2010-12-30 19:25 plujan Modules => Core
2010-12-30 19:25 plujan Tag Attached: Regression QA
2010-12-30 19:26 plujan Note Added: 0033486
2010-12-31 08:05 alostale Relationship added related to 0015178
2010-12-31 08:06 alostale Note Added: 0033487
2010-12-31 09:08 alostale Note Added: 0033491
2010-12-31 09:18 alostale Relationship added related to 0015556
2010-12-31 09:18 alostale Note Added: 0033492
2010-12-31 09:22 alostale Status new => scheduled
2010-12-31 09:22 alostale fix_in_branch => pi
2010-12-31 09:24 hgbot Checkin
2010-12-31 09:24 hgbot Note Added: 0033493
2010-12-31 09:24 hgbot Status scheduled => resolved
2010-12-31 09:24 hgbot Resolution open => fixed
2010-12-31 09:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cfca6a9741cb077a8f23ce6e9ac0f22ba8c92e2e [^]
2010-12-31 15:20 hudsonbot Checkin
2010-12-31 15:20 hudsonbot Note Added: 0033506
2011-01-05 08:30 alostale Relationship added related to 0013153
2011-01-19 12:54 shuehner Note Added: 0033764
2011-01-19 12:54 shuehner Status resolved => closed
2011-01-20 00:00 anonymous sf_bug_id 0 => 3162068


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker